%bcond_without check

Name:           libredwg
Version:        0.13.3
Release:        %autorelease
Summary:        A free C library to read and write DWG files

License:        GPL-3.0-or-later
URL:            https://www.gnu.org/software/libredwg/
Source0:        https://github.com/LibreDWG/libredwg/releases/download/%{version}/libredwg-%{version}.tar.xz

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  swig
BuildRequires:  python3-devel
BuildRequires:  perl-devel
BuildRequires:  perl-macros
BuildRequires:	perl(ExtUtils::Embed)
BuildRequires:  pcre2-devel
BuildRequires:  libxml2-devel
BuildRequires:	python3dist(lxml)

%description
LibreDWG is a free C library to read and write DWG files.  This program is
part of the GNU project, released under the aegis of GNU.  It is licensed
under the terms of the GNU General Public License version 3 (or at you option
any later version).

DWG is a file format created in the 70's for the emerging CAD applications.
Currently it is the native file format of AutoCAD, a proprietary CAD program
developed by AutoDesk.

LibreDWG is a fork from LibDWG due to its usage of Esperanto, which we
think is not the best strategy for a free software project which aims
to get lots of contributors. LibreDWG is written in English. At the
moment our decoder (i.e. reader) is done, it can read all DWG
versions, just some very advanced R2010+ objects fail to read and are
skipped over. The writer is good enough for R1.4 - R2000. Among the
example applications we wrote using LibreDWG is a reader, a writer, a
rewriter (i.e. saveas), an initial SVG and Postscript conversion, dxf
and json converters, dwggrep to search for text, and dwglayer to print
the list of layers. More are in the pipeline. Please contact us if you
want to help.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
This package contains development files for %{name}.

%package -n     python3-%{name}
Summary:        Python 3 bindings for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description -n python3-%{name}
This package contains the Python 3 bindings for %{name}.

%package -n     perl-%{name}
Summary:        Perl bindings for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description -n perl-%{name}
This package contains the Perl bindings for %{name}.

%package        tools
Summary:        Tools for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    tools
This package contains the tools for %{name}.

%package        examples
Summary:        Examples for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    examples
This package contains the examples for %{name}.

%prep
%autosetup -p1

%build
%configure \
    --disable-static \
    --with-perl-install=vendor \
    --enable-release \

%make_build

%install
%make_install

rm %{buildroot}%{perl_archlib}/perllocal.pod
rm -r %{buildroot}%{_datadir}/info/dir

%if %{with check}
%check
make check
%endif

%files
%license COPYING
%doc README
%{_libdir}/libredwg.so.0*

%files devel
%{_libdir}/libredwg.so
%{_includedir}/dwg.h
%{_includedir}/dwg_api.h
%{_libdir}/pkgconfig/libredwg.pc
%{_infodir}/LibreDWG.info*

%files -n python3-%{name}
%{python3_sitelib}/LibreDWG.py
%{python3_sitelib}/__pycache__/LibreDWG*
%{_libdir}/python3.12/site-packages/_LibreDWG.so*

%files -n perl-%{name}
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/LibreDWG.pm

%files tools
%{_bindir}/dwg*
%{_bindir}/dxf*
%{_mandir}/man1/dwg*.1*
%{_mandir}/man1/dxf*.1*
%{_mandir}/man5/dwgadd.5*

%files examples
%{_datadir}/libredwg/dwgadd.example*
%{_datadir}/libredwg/load_dwg.py

%changelog
%autochangelog
